/*
*/
#ifndef Phonon_GST_ABSTRACTAUDIOOUTPUTBASE_H
#define Phonon_GST_ABSTRACTAUDIOOUTPUTBASE_H

#include <QObject>

namespace Phonon
{
namespace Gst
{
	class AbstractAudioOutput : public QObject
	{
		Q_OBJECT
		public:
			AbstractAudioOutput( QObject* parent );
			virtual ~AbstractAudioOutput();

			virtual void processBuffer( const QVector<float>& buffer ) = 0;
			GPhoAudioOutput *object;

		private:
	};
}} //namespace Phonon::Gst

// vim: sw=4 ts=4 tw=80
#endif // Phonon_GST_ABSTRACTAUDIOOUTPUTBASE_H
